## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate libloading

Name:           rust-libloading
Version:        0.8.8
Release:        %autorelease
Summary:        Bindings for native dynamic library loading primitives

License:        ISC
URL:            https://crates.io/crates/libloading
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          libloading-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Bindings around the platform's dynamic library loading primitives with
greatly improved memory safety.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.mkd
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 27 2025 Fabio Valentini <decathorpe@gmail.com> - 0.8.8-1
- Update to version 0.8.8; Fixes RHBZ#2368666

* Mon May 12 2025 Fabio Valentini <decathorpe@gmail.com> - 0.8.7-1
- Update to version 0.8.7; Fixes RHBZ#2365472

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 01 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.6-1
- Update to version 0.8.6; Fixes RHBZ#2329514

* Sun Jul 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.5-1
- Update to version 0.8.5; Fixes RHBZ#2299024

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.4-1
- Update to version 0.8.4; Fixes RHBZ#2293833

* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Update to version 0.8.3; Fixes RHBZ#2267996

* Tue Mar 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2267338

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-1
- Update to version 0.8.1; Fixes RHBZ#2185869

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 07 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.4-1
- Update to version 0.7.4; Fixes RHBZ#2140482

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2040976

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 16 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2023497

* Sun Nov 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2012453

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-1
- Update to version 0.7.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.6.7-1
- Update to version 0.6.7.
- Fixes RHBZ#1916324

* Mon Dec 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-1
- Update to version 0.6.6.
- Fixes RHBZ#1904113

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Update to version 0.6.5.
- Fixes RHBZ#1891029

* Sun Oct 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.4-1
- Update to version 0.6.4.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.6.3-1
- Update to 0.6.3

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 2020 Josh Stone <jistone@redhat.com> - 0.6.2-1
- Update to 0.6.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 13 11:17:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Mon Jun 03 2019 Josh Stone <jistone@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-3
- Adapt to new packaging

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Rebuild for rust-packaging v5

* Wed Jan 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Mon Dec 04 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Initial package

## END: Generated by rpmautospec
